
// PenguinInfo.java
// Andrew Davison, dandrew@fivedots.coe.psu.ac.th, November 2004

// Information for a penguin: name, id, and number of lives.


public class PenguinInfo
{
  private static final int MAX_LIVES = 3;

  private String name;
  private int id;
  private int numLives;


  public PenguinInfo(String nm, int id)
  { name = nm;
    this.id = id;
    numLives = MAX_LIVES;
  }

  public String getName()
  { return name;  }

  public int getID()
  { return id;  }

  public int getNumLives()
  {  return numLives;  }

  public boolean loseALife()
  {
    if (numLives > 0) {
      numLives--;
      return true;
    }
    else  // can't set to negative
      return false;
  } // end of loseALife()

}  // end of PenguinInfo class 